import { Button, message, Steps, Card } from 'antd';
import React, { useState } from 'react';
import styles from "./index.less";
import StoreConfig from './components/StoreConfig';
import { PageContainer } from '@ant-design/pro-layout';

const { Step } = Steps;
const steps = [
    {
        title: '门店配置',
        content: <StoreConfig></StoreConfig>,
    },
    {
        title: '设备配置',
        content: <h1>
            设备配置
        </h1>,
    },
    {
        title: '菜谱配置',
        content: <h1>
            菜谱配置
        </h1>,
    },
    {
        title: '商品配置',
        content: <h1>
            商品配置
        </h1>,
    },
    {
        title: '配方配置',
        content: <h1>
            配方配置
        </h1>,
    },
    {
        title: '物料配置',
        content: <h1>
            物料配置
        </h1>,
    },
    {
        title: '确认配置',
        content: <h1>
            确认配置
        </h1>,
    }
];

const QuickStart = () => {

    const [current, setCurrent] = useState(0);

    const next = () => {
        setCurrent(current + 1);
    };

    const prev = () => {
        setCurrent(current - 1);
    };

    return <PageContainer>
        <Card>


            <Steps current={current}>
                {steps.map((item) => (
                    <Step key={item.title} title={item.title} />
                ))}
            </Steps>
            <div className={styles.steps_content}>{steps[current].content}</div>
            <div className="steps-action">
                {current < steps.length - 1 && (
                    <Button type="primary" onClick={() => next()}>
                        Next
                    </Button>
                )}
                {current === steps.length - 1 && (
                    <Button type="primary" onClick={() => message.success('Processing complete!')}>
                        Done
                    </Button>
                )}
                {current > 0 && (
                    <Button
                        style={{
                            margin: '0 8px',
                        }}
                        onClick={() => prev()}
                    >
                        Previous
                    </Button>
                )}
            </div>
        </Card>
    </PageContainer>
}

export default QuickStart;